<h4 class="center-align">Hostel Room Management</h4>
<div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content white-text">
        <div class="row">
          <div class="col s5">
            <form #roomForm="ngForm" (ngSubmit)="onSubmit(roomForm)">
              <input type="hidden" name="_id" #_id="ngModel" [(ngModel)]="roomService.selectedRoom._id">
              <input type="hidden" name="student" #_id="ngModel" [(ngModel)]="roomService.selectedRoom.student" value="">
                <div class="row">
                  <div class="input-field col s12">
                  <input type="number" name="roomno"
                  #roomno="ngModel" [(ngModel)]="roomService.selectedRoom.roomno" required>
                  <label> Room No:</label>
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                  <input type="text" name="roomtype"
                  #roomno="ngModel" [(ngModel)]="roomService.selectedRoom.roomtype" required>
                  <label> Room Type:</label>
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                  <input type="number" name="rentalrate"
                  #roomno="ngModel" [(ngModel)]="roomService.selectedRoom.rentalrate" required>
                  <label> Rental Rate:</label>
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                  <input type="text" name="block"
                  #roomno="ngModel" [(ngModel)]="roomService.selectedRoom.block" required>
                  <label> Block:</label>
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <button class="btn btn-custom right" type="button" (click)="resetForm(roomForm)">Reset</button>
                    <button class="btn btn-custom right" type="submit" [disabled]="!roomForm.valid">Create</button>
                  </div>
                </div>
            </form>
          </div>
          <div class="col s7">
              <table class="responsive-table highlight black-text">
                <thead>
                  <tr>
                    <th>Room No</th>
                    <th>Room Type</th>
                    <th>Rental Rate</th>
                    <th>Block</th>
                    <th>Student</th>
                    <th></th>
                  </tr>
                </thead>
                <tr *ngFor="let bilik of roomService.rooms">
                  <td>{{bilik.roomno}}</td>
                  <td>{{bilik.roomtype}}</td>
                  <td>RM {{bilik.rentalrate}}</td>
                  <td>{{bilik.block}}</td>
                  <td>{{bilik.student}}</td>
                  <td>
                    <a class="btn-floating" (click)="onEdit(bilik)">
                      <i class="material-icons">edit</i>
                    </a>
                    <a class="btn-floating" (click)="onDelete(bilik._id, roomForm)">
                      <i class="material-icons">delete</i>
                    </a>
                  </td>
                </tr>
              </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
